---
wsId: B4UWallet
title: 'B4U Wallet: Crypto Bitcoin Wallet Exchange'
altTitle: 
authors:
- kiwilamb
users: 10000
appId: com.b4uwallet.android
appCountry: 
released: 2018-10-19
updated: 2021-04-22
version: 4.3.4
stars: 
ratings: 
reviews: 
size: 30M
website: https://b4uwallet.com
repository: 
issue: 
icon: com.b4uwallet.android.png
bugbounty: 
meta: stale
verdict: custodial
date: 2022-04-18
signer: 
reviewArchive: 
twitter: b4uwallet_b4u
social:
- https://www.facebook.com/B4uwalletofficial
redirect_from: 

---

This app is not well advertised on how the users private keys are managed.
At best this is a custodial wallet, we also note there are alot of 1 star reviews on the [android play store page](https://play.google.com/store/apps/details?id=com.b4uwallet.android&showAllReviews=true).

Our verdict: This "wallet" is custodial and therefore **not verifiable**.
